linux 2017 connection raises not connected because sql server 2016 or higher is requred

hello, im running Microsoft SQL Server 2017 (RTM-CU8) on redhat - when i try to connect to this instance with query store i get this message  connection raises not connected because sql server 2016 or higher is requred